| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
archive.hpp File Reference
API

the archive class is defined in this module More...

`#include "../my_config.h"`
`#include <vector>`
`#include <string>`
`#include "erreurs.hpp"`
`#include "path.hpp"`
`#include "scrambler.hpp"`
`#include "statistics.hpp"`
`#include "archive_options.hpp"`
`#include "escape.hpp"`
`#include "escape_catalogue.hpp"`
`#include "pile.hpp"`
`#include "list_entry.hpp"`
`#include "on_pool.hpp"`
`#include "crypto.hpp"`
`#include "slice_layout.hpp"`

Go to the source code of this file.

## Classes
class | libdar::archive
| the archive class realizes the most general operations on archives More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

the archive class is defined in this module

Definition in file archive.hpp.